shr.defineClass("shr.compensation.CmpGiveDynamicListEx", shr.compensation.CmpGiveDynamicList, {

    initalizeDOM: function () {
        shr.compensation.CmpGiveDynamicListEx.superClass.initalizeDOM.call(this);
        var that = this;  
    },
    /**
	 * 审批操作
	 */
	dataToERPAction : function(){
		var _self = this;
		var param = _self.getSelectParams();
		$.extend(param,{			
			cmpschemeid : _self.cmpschemeid
		});
	
		_self.confirm(true,"您确定要将工资单数据同步到ERP吗？Are you sure you want to sync payroll data to ERP?",
					  function(){
			_self.remoteCall({
				type : "post",
				showBlock : true,
				method : "dataToERP",
				param : param,
				success : function(res){
					shr.showInfo({
						message : '启动同步成功',
						hideAfter : 30
					});
					//_self.queryGrid();
				}
			});
		});
	},	
});